Subject: Re: bug#12216: peek-char incorrectly *CONSUMES* eof

From: Andy Wingo <[email-masked]>
Date: Wed, 13 Mar 2013 12:02:47 +0100

On Sat 09 Mar 2013 18:11, "David A. Wheeler" <[email-masked]> writes:

> (peek-char) (peek-char) (peek-char) should return the same values 3
> times, no matter what... even if it's EOF.

So, we are repeating ourselves here :)  I agree with you but I can't see
a good way of implementing this.  For that reason I am inclined to
document this inconsistency and close as a wontfix.

Andy
-- 
http://wingolog.org/